# Audit Search Template

`GET /lokta-lms/api/v1/audits/searchtemplate`

Returns the users, actions and entities you can filter audit entries by.

This is a convenience resource. It can be useful when building an Audit Search UI. "appUsers" are data scoped to the office/branch the requestor is associated with.

Example Requests:

audits/searchtemplate
audits/searchtemplate?fields=actionNames

## Responses
- `default`: default response

## Response fields
- `actionNames` (array)
- `appUsers` (array of AppUserData)
- `entityNames` (array)
- `statuses` (array of ProcessingResultLookup)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/audits/searchtemplate' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "actionNames": [
    "string"
  ],
  "appUsers": [
    {}
  ],
  "entityNames": [
    "string"
  ],
  "statuses": [
    {}
  ]
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveAuditSearchTemplate
